QGIS Application - Bug report #11494
Convex Hull - QProgressBar.setRange(int, int): argument 2 has unexpected type 'long’
2014-10-24 02:34 PM - Daniel B

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 19764
Description

When trying to create convex hulls with settings Create convex hull based on input field, the following error pops up after a few seconds
and polygon does not get created:

An error has occured while executing Python code:
Traceback (most recent call last):
File "C:\PROGRA~1\QGISCH~1\\apps\\qgis\\python\\plugins\\f Tools\\tools\\doGeoprocessing.py", line 273, in runRangeFromThread
self.progressBar.setRange( range_vals[ 0 ], range_vals[ 1])

TypeError: QProgressBar.setRange(int, int): argument 2 has unexpected type 'long’

Python version:
2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:
2.4.0-Chugiak Chugiak, 8fdd08a

| have confirmed that with the same dataset and choosing single minimum convex hull, the polygon is created successfully.

History

#1 - 2014-10-26 03:20 AM - Giovanni Manghi

- Assignee set to Victor Olaya

- Affected QGIS version changed from 2.4.0 to master
- Status changed from Open to Feedback

- Category set to Processing/QGIS

| cannot confirm on QGIS master, can you test it? if you still get the same issue please attach sample data.

meanwhile | can confirm that the same tool in the processing toolbox works only if creating a single convex hull, if the option to create different CHs based
on an attribute then the output is empty.

#2 - 2014-11-17 11:57 PM - Alexander Bruy
- Category changed from Processing/QGIS to 44
- Assignee deleted (Victor Olaya)

From error message | see, that fTools used, not Processing.
#3 - 2015-05-21 01:21 AM - Alexander Bruy
- Status changed from Feedback to Closed
- Resolution set to worksforme

Not reproducible with fTools and Processing

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
